# binaryninja.enums.InstructionTextTokenType

class `binaryninja.enums.``InstructionTextTokenType`
  `__init__`()

    x.__init__(...) initializes x; see help(type(x)) for signature

  Attributes

  `AddressDisplayToken` |
  `AnnotationToken` |
  `ArgumentNameToken` |
  `BeginMemoryOperandToken` |
  `CharacterConstantToken` |
  `CodeRelativeAddressToken` |
  `CodeSymbolToken` |
  `DataSymbolToken` |
  `EndMemoryOperandToken` |
  `FieldNameToken` |
  `FloatingPointToken` |
  `HexDumpByteValueToken` |
  `HexDumpInvalidByteToken` |
  `HexDumpSkippedByteToken` |
  `HexDumpTextToken` |
  `ImportToken` |
  `IndirectImportToken` |
  `InstructionToken` |
  `IntegerToken` |
  `KeywordToken` |
  `LocalVariableToken` |
  `OpcodeToken` |
  `OperandSeparatorToken` |
  `PossibleAddressToken` |
  `RegisterToken` |
  `StringToken` |
  `TextToken` |
  `TypeNameToken` |